<template lang="pug">
DBCollapsible.x-hv-config(:prefetch='false' title='High Voltage'
                          source='hvParameters' parentType='runs'
                          :parentItem='{ runNumber: runNumber }' :query='{ sort: "runNumber:desc" }' )
  template(v-slot:default='db')
    table.table.table-sm.table-hover.table-responsive-md.shadow.border
      thead.bg-light.table-head
        tr.text-center
          th Crate ID
          th Channel ID
          th Channel Name
          th V0Set [V]
          th I0Set [mA]
          th Trip [s]
          th RUp [V/s]
          th RDwn [V/s]
          th SVMax [V]
      tbody
        tr(v-for='hv in db.rows').text-center
          td {{ hv.slotId }}
          td {{ hv.channelId }}
          td {{ hv.name }}
          td {{ hv.setVolt | b-bigNumber}}
          td {{ hv.setAmp | b-bigNumber }}
          td {{ hv.trip | b-bigNumber }}
          td {{ hv.rampUp | b-bigNumber }}
          td {{ hv.rampDown | b-bigNumber }}
          td {{ hv.max | b-bigNumber }}
</template>
<script src='./HVConfig.vue.js' />
